# $Revision: 1.20 $, $Date: 2007/12/23 22:17:42 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	A library to read Paradox DB files
Summary(pl.UTF-8):	Biblioteka do odczytu plików baz danych Paradox DB
Name:		pxlib
Version:	0.6.3
Release:	1
Epoch:		0
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/pxlib/%{name}-%{version}.tar.gz
# Source0-md5:	0742020854496fa757d7acbe6a895224
Patch0:		%{name}-stderr.patch
Patch1:		%{name}-lib64.patch
URL:		http://pxlib.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-to-man
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	libgsf-devel >= 1.14.1
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pxlib is a simply and still small C library to read Paradox DB files.
It supports all versions starting from 3.0. It currently has a very
limited set of functions like to open a DB file, read its header and
read every single record.

%description -l pl.UTF-8
pxlib jest prostą i ciągle małą biblioteką do odczytu plików baz
danych Paradox DB. Obsługuje wszystkie wersje począwszy od 3.0.
Aktualnie ma bardzo ograniczony zbiór funkcji, takich jak otworzenie
pliku DB, odczyt nagłówka i odczyt pojedynczego rekordu.

%package devel
Summary:	Header files for pxlib
Summary(pl.UTF-8):	Pliki nagłówkowe pxlib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgsf-devel >= 1.14.1

%description devel
Header files for pxlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe pxlib.

%package static
Summary:	Static pxlib library
Summary(pl.UTF-8):	Statyczna biblioteka pxlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static pxlib library.

%description static -l pl.UTF-8
Statyczna biblioteka pxlib.

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build
cp -f /usr/share/gettext/config.rpath .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gsf \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc/*.txt
%attr(755,root,root) %{_libdir}/libpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpx.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpx.so
%{_libdir}/libpx.la
%{_includedir}/paradox*.h
%{_includedir}/pxversion.h
%{_pkgconfigdir}/pxlib.pc
%{_mandir}/man3/PX_*.3*
%{_mandir}/man3/pxlib.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpx.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pxlib.spec,v $
Revision 1.20  2007/12/23 22:17:42  qboosh
- close if

Revision 1.19  2007-12-23 00:00:13  tommat
- autoize
- added lib64 patch

Revision 1.18  2007-11-05 18:06:11  qboosh
- updated to 0.6.3

Revision 1.17  2007/04/01 01:15:36  arekm
- up to 0.6.1

Revision 1.16  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.14  2006/07/14 21:24:27  freetz
- rel.3, updated deps, --as-needed support

Revision 1.13  2006/03/28 14:11:57  arekm
- rel 2; print debug stuff on stderr

Revision 1.12  2006/02/21 07:30:48  arekm
- up to 0.6.0

Revision 1.11  2005/11/03 18:25:51  qboosh
- bcond header

Revision 1.10  2005/11/03 18:02:25  twittner
- added bcond_without static_libs

Revision 1.9  2005/10/22 12:45:57  qboosh
- BR: pkgconfig

Revision 1.8  2005/10/22 12:32:32  arekm
- fix amd64 build; rel 3

Revision 1.7  2005/10/22 10:55:44  arekm
- rel 2

Revision 1.6  2005/08/11 10:14:16  arekm
- up to 0.5.1

Revision 1.5  2005/03/31 16:35:28  arekm
- rel 2; add manual pages

Revision 1.4  2005/02/20 19:18:12  qboosh
- pl

Revision 1.3  2005/02/19 22:49:21  arekm
- enable libgsf

Revision 1.2  2005/02/19 22:07:32  arekm
- gplv2

Revision 1.1  2005/02/19 21:59:00  arekm
- initial pld release
